Default [Q] 4.2.2 ROM Support (G2)

I have a LG G2 running on 4.2.2 and I cannot upgrade to 4.4 anytime soon because the update is apparently not available at the moment (according to ATT support. I have a D800 and want a barebones ROM that runs on 4.2.2. Any help is appreciated.